package org.ow2.choreos.abstractionDrivenServiceOrganization.functionalOrganization;

import java.util.List;

import org.ow2.choreos.abstractionBase.AbstractionBaseController;
import org.ow2.choreos.abstractionDrivenServiceOrganization.functionalOrganization.hierarchicalClustering.FunctionalOrganizationHierarchicalClustering;
import org.ow2.choreos.gui.ServiceOrganizationVisualizer;
import org.ow2.choreos.gui.UserSettings;
import org.ow2.choreos.gui.interfaceMappingsVisualizer.ParameterizedServiceOrganizationVisualizer;
import org.ow2.choreos.serviceRegistration.ServiceRegistration;
import org.ow2.choreos.serviceRepresentation.functional.ServiceInterface;


public class FunctionalOrganization {


	//Methods.
	public static void produceFH1( ServiceRegistration serviceRegistration, AbstractionBaseController abstractionBase, UserSettings options, List<ServiceInterface> allInterfaces, ServiceOrganizationVisualizer serviceOrganizationVisualizer ){//Mode = 1.

		if( FunctionalOrganizationController.isHungarianAlgorithm( options.getFunctionalOrganizationAlgorithm() ) ) FunctionalOrganizationHierarchicalClustering.produceFH1( serviceRegistration, abstractionBase, options, allInterfaces, serviceOrganizationVisualizer );
	}

	public static int produceFH2( ServiceRegistration serviceRegistration, AbstractionBaseController abstractionBase, UserSettings options, Integer nonFunctionalAbstractionID, List<ServiceInterface> allInterfaces, ServiceOrganizationVisualizer serviceOrganizationVisualizer ){//Mode = 2.

		if( FunctionalOrganizationController.isHungarianAlgorithm( options.getFunctionalOrganizationAlgorithm() ) ) return FunctionalOrganizationHierarchicalClustering.produceFH2( serviceRegistration, abstractionBase, options, nonFunctionalAbstractionID, allInterfaces, serviceOrganizationVisualizer );


		return -1;
	}

	public static void produceFH3( ServiceRegistration serviceRegistration, AbstractionBaseController abstractionBase, UserSettings options, List<ServiceInterface> interfaces, ServiceOrganizationVisualizer serviceOrganizationVisualizer ){//Mode = 3.
		
		if( FunctionalOrganizationController.isHungarianAlgorithm( options.getFunctionalOrganizationAlgorithm() ) ) FunctionalOrganizationHierarchicalClustering.produceFH3( serviceRegistration, abstractionBase, options, interfaces, serviceOrganizationVisualizer );
	}
	public static void produceFH3( ServiceRegistration serviceRegistration, AbstractionBaseController abstractionBase, UserSettings options, List<ServiceInterface> interfaces, ParameterizedServiceOrganizationVisualizer serviceOrganizationVisualizer ){//Mode = 3.

		if( FunctionalOrganizationController.isHungarianAlgorithm( options.getFunctionalOrganizationAlgorithm() ) ) FunctionalOrganizationHierarchicalClustering.produceFH3( serviceRegistration, abstractionBase, options, interfaces, serviceOrganizationVisualizer );
	}

	//public void updateFH();

	/*
	 * public void produceFH( Boolean stepByStepExecution, Integer collectionID, ArrayList<ServiceInterface> alInterfaces, NonFunctionalOrganization nonFunctionalOrganization, ServiceOrganizationVisualizer guiForHierarchyProduce );//Mode = 1.
	public int produceFH( Boolean stepByStepExecution, Integer collectionID, Integer nonFunctionalAbstractionID, ArrayList<ServiceInterface> alInterfaces, ServiceOrganizationVisualizer guiForHierarchyProduce );//Mode = 2.
	public void produceFH( Boolean stepByStepExecution, Integer collectionID, ArrayList<ServiceInterface> interfaces, ServiceOrganizationVisualizer guiForHierarchyProduce );//Mode = 3.

	public void updateFH();
	 */
}
