package org.ow2.choreos.abstractionGenerator;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;
import java.io.PrintWriter;


public class FileUtil 
{


	  public static void removeLineFromFile(String fileName , String abstractionName , boolean mode ) 
	  {
		String actualLine=null;
		String lineToChange  = "" ;
		File abstractionPath = null;
		
		if ( mode == true )
		{
			abstractionPath = new File("src\\main\\java\\org\\ow2\\choreos\\abstractionGenerator\\abstractionImpl\\"
		    		+abstractionName.toLowerCase()+"\\"+abstractionName.toLowerCase());
			lineToChange = lineToChange.concat ( abstractionName.toLowerCase() + "." + abstractionName.toLowerCase() );
			actualLine=abstractionName.toLowerCase();
		}
		else
		{
			abstractionPath = new File("src\\main\\java\\org\\ow2\\choreos\\abstractionGenerator\\abstractionImpl\\"
		    		+abstractionName.toLowerCase()+"\\Classes");
			lineToChange = lineToChange.concat (abstractionName.toLowerCase()+".Classes" );
			actualLine="Classes";
		} 
	    
		try {
	    	
		    
		    
		   File inFile = new File(abstractionPath.getAbsolutePath()+"\\"+fileName);
	      
	      if (!inFile.isFile()) {
	       System.out.println("Parameter is not an existing file");
	        return;
	     }
	       
	      //Construct the new file that will later be renamed to the original filename. 
	      File tempFile = new File(inFile.getAbsolutePath() + ".tmp");
	      
	      BufferedReader br = new BufferedReader(new FileReader(abstractionPath.getAbsolutePath()+"\\"+fileName));
	      PrintWriter pw = new PrintWriter(new FileWriter(tempFile));
	      
	      String line = null;

	      //Read from the original file and write to the new 
	      while ((line = br.readLine()) != null) 
	      {
  
	    	 if ( line.contains("private final static Logger logger = Logger.getLogger(") || line.contains("class.getResource(") || 
	    			 line.contains(" @RequestWrapper(localName") || line.contains("@ResponseWrapper(localName"))
	    	 {//System.out.println(line.replace(abstractionName.toLowerCase(),"org.ow2.choreos.abstractionGenerator.abstractionImpl."+lineToChange));
	    		 pw.println ( line.replace(actualLine,"org.ow2.choreos.abstractionGenerator.abstractionImpl."+lineToChange) ); 
	    		 pw.flush();
	    	 }
	         else if (!line.trim().equals("package "+actualLine+";")) {

	          pw.println(line);
	          pw.flush();
	        }
	        else if ( line.trim().equals("package "+actualLine+";"))
	        {
	        	pw.println("package org.ow2.choreos.abstractionGenerator.abstractionImpl."+lineToChange + ";");
	        	pw.flush();
	      
	        }
	      }
	      pw.close();
	      br.close();
	      //Delete the original file
	      if (!inFile.delete()) {
	        System.out.println("Could not delete file");
	        return;
	      } 
	      
	      //Rename the new file to the filename the original file had.
	      if (!tempFile.renameTo(inFile))
	        System.out.println("Could not rename file");
	      
	    }
	    catch (FileNotFoundException ex) {
	      ex.printStackTrace();
	    }
	    catch (IOException ex) {
	      ex.printStackTrace();
	    }
	  }
	  
}
