package org.ow2.choreos.matchingProcess.schemaRepresentation.patternBasedMatching.PatternBasedSchemaElementIndexing;

import org.ow2.choreos.dataStructures.interval.Interval1D;
import org.ow2.choreos.schemaRepresentation.SchemaRepresentationController;


/**
 * 
 * @author dathanas
 *
 */
public class GrowthRelation {


	static public boolean isGrowth( Object concreteElement1, int rightmostChildScopeRightEndpoint1, Object concreteElement2 ){//Is growth the second of the first one?

		return concreteElement1 != null && concreteElement2 != null && isDescendant( concreteElement1, concreteElement2 ) && isNotDescendantOfItsDescendants( rightmostChildScopeRightEndpoint1, concreteElement2 );
	}

	static private boolean isNotDescendantOfItsDescendants( int rightmostChildScopeRightEndpoint1, Object concreteElement2 ){

		return SchemaRepresentationController.getScope( concreteElement2 ).getIntLeftEndpoint() > rightmostChildScopeRightEndpoint1;
	}

	static private boolean isDescendant( Object concreteElement1, Object concreteElement2 ){//Is descendant the second of the first one?

		return Interval1D.contains( SchemaRepresentationController.getScope( concreteElement1 ), SchemaRepresentationController.getScope( concreteElement2 ) );
	}
}
