package org.ow2.choreos.measurements.number;


/**
 * 
 * @author dathanas
 *
 */
public class ValueScaling {


	public static int scale( int number, int initialMaximumValue, int newMaximumValue, int limit ){

		int newNumber = (int) ( (double) number / (double) initialMaximumValue * (double) newMaximumValue );


		return newNumber >= limit ? limit : newNumber;
	}


	public static int scale( int number, int initialMaximumValueY, int newMaximumValueY, int initialMaximumValueX, int newMaximumValueX ){

    	int initialValue = initialMaximumValueY, newValue = newMaximumValueY;


    	if( newMaximumValueY >= initialMaximumValueY && newMaximumValueX >= initialMaximumValueX ){

    		if( (double) newMaximumValueY / (double) initialMaximumValueY < (double) newMaximumValueX / (double) initialMaximumValueX ){

    			initialValue = initialMaximumValueY;

    			newValue = newMaximumValueY;
    		}

    		else{

    			initialValue = initialMaximumValueX;

    			newValue = newMaximumValueX;
    		}
    	}

    	else if( newMaximumValueY <= initialMaximumValueY && newMaximumValueX <= initialMaximumValueX ){

    		if( (double) newMaximumValueY / (double) initialMaximumValueY > (double) newMaximumValueX / (double) initialMaximumValueX ){

    			initialValue = initialMaximumValueY;

    			newValue = newMaximumValueY;
    		}

    		else{

    			initialValue = initialMaximumValueX;

    			newValue = newMaximumValueX;
    		}
    	}

    	else if( newMaximumValueY <= initialMaximumValueY && newMaximumValueX >= initialMaximumValueX ){

    		initialValue = initialMaximumValueY;

    		newValue = newMaximumValueY;
    	}

    	else if( newMaximumValueY >= initialMaximumValueY && newMaximumValueX <= initialMaximumValueX ){

    		initialValue = initialMaximumValueX;

    		newValue = newMaximumValueX;
    	}


		return scale( number, initialValue, newValue, newValue );
	}
}
