package org.ow2.choreos.parser.freeTextDocuments;

import java.io.BufferedReader;
import java.io.DataInputStream;
import java.io.FileInputStream;
import java.io.InputStreamReader;
import java.util.ArrayList;
import java.util.List;


/**
 * 
 * @author dathanas
 *
 */
public class TxtParser {


	public static String read( String fileName ){

    	String contents = "", strLine = null;

        try{

        	FileInputStream fstream = new FileInputStream( fileName );

            DataInputStream in = new DataInputStream( fstream );

            BufferedReader br = new BufferedReader( new InputStreamReader( in ) );


            while( ( strLine = br.readLine() ) != null ) contents += strLine + "\n";


            in.close();
        }

        catch( Exception e ){}


        return contents;
    }

	static List<ArrayList<String>> parse( String filePath, char separator ) {

		try{

			FileInputStream fstream = new FileInputStream(filePath);//TODO url?
			DataInputStream in = new DataInputStream(fstream);
			BufferedReader br = new BufferedReader(new InputStreamReader(in));

			String strLine = null;

			List<ArrayList<String>> allTerms = new ArrayList<ArrayList<String>>(); 

			while ((strLine = br.readLine()) != null){

				List<String> lineTerms = Tokenizer.tokenize(strLine, separator);
				allTerms.add( (ArrayList<String>) lineTerms );
			}

			in.close();

			return allTerms;
	    }

		catch (Exception e){return null;} 
	}


	public static List<ArrayList<String>> parse( String filePath, boolean start, String starterOfLine, char separator ) {//The flag 'start' must be true if we want to keep from the file the lines that start with the 'starterOfLine'. Otherwise, it should be false.  

		try{

			FileInputStream fileInputStream = new FileInputStream( filePath );//TODO url?

			DataInputStream dataInputStream = new DataInputStream( fileInputStream );

			BufferedReader bufferedReader = new BufferedReader( new InputStreamReader( dataInputStream ) );


			String line = null;

			List<ArrayList<String>> allTerms = new ArrayList<ArrayList<String>>(); 


			while( ( line = bufferedReader.readLine() ) != null ){

				if( start && line.startsWith( starterOfLine ) ){

					ArrayList<String> lineTerms = Tokenizer.Tokenize( line, starterOfLine, separator );

					allTerms.add( lineTerms );
				}

				if( ! start && ! line.startsWith( starterOfLine ) && line.trim().length() != 0 ){

					List<String> lineTerms = Tokenizer.tokenize( line, separator );

					allTerms.add( (ArrayList<String>) lineTerms );
				}
			}

			dataInputStream.close();


			return allTerms;
	    }

		catch( Exception e ){ return null; } 
	}

	public static String parse( String filePath ) {

		String content = "";


		try{

			FileInputStream fstream = new FileInputStream( filePath );//TODO url?

			DataInputStream in = new DataInputStream( fstream );

			BufferedReader br = new BufferedReader( new InputStreamReader( in ) );


			String strLine = null;
 

			while( ( strLine = br.readLine() ) != null ) content += strLine + "\n";


			in.close();
	    }

		catch (Exception e){}


		return content;
	}
}
