package org.ow2.choreos.parser.functionalDocuments.service.wsdl;

import org.ow2.choreos.serviceRepresentation.functional.DocOfFuncProperties;


public abstract class WSDLParser {


	public abstract DocOfFuncProperties parse( DocOfFuncProperties docOfFuncProperties );

	protected String getPrefix( String name ){

		int semicolPos1 = name.lastIndexOf("}");
		int semicolPos2 = name.lastIndexOf(":");

		if( semicolPos1 > 0 || semicolPos2 > 0 ){

			if( semicolPos1 >  semicolPos2 )

				return name.substring( 0, semicolPos1 + 1 );

			else

				return name.substring( 0, semicolPos2 );
		}

		return "";
	}

	protected String getSuffix( String name ){

		String newName = name;

		int semicolPos = newName.lastIndexOf("}");
		if(semicolPos > 0) newName = newName.substring(semicolPos + 1);

		semicolPos = newName.lastIndexOf(":");
		if(semicolPos > 0) newName = newName.substring(semicolPos + 1);

		return newName;
	}
}
