package org.ow2.choreos.schemaRepresentation;



/**
 * 
 * @author dathanas
 *
 */
public class Rule {


	//Variables.
	protected KindDescr kindDescr1;

	protected KindDescr kindDescr2;

	protected boolean hasQualitativeSimilarityValue;

	protected String qualitativeSimilarityValue, quantitativeSimilarityValue;


	//Constructors.
	protected Rule( String cQuantitativeSimilarityValue ){

		hasQualitativeSimilarityValue = false;

		quantitativeSimilarityValue = cQuantitativeSimilarityValue;
	}

	protected Rule( String cQualitativeSimilarityValue, String cQuantitativeSimilarityValue ){

		hasQualitativeSimilarityValue = true;

		qualitativeSimilarityValue = cQualitativeSimilarityValue;

		quantitativeSimilarityValue = cQuantitativeSimilarityValue;
	}


	//Getters.
	KindDescr getKindDescr1(){

		return kindDescr1;
	}

	KindDescr getKindDescr2(){

		return kindDescr2;
	}

	public KindDescr[] getKindDescrs(){

		return new KindDescr[] { kindDescr1, kindDescr2 };
	}

	protected double getSimilarityValue(){

		return Double.parseDouble( quantitativeSimilarityValue );
	}

	protected boolean hasQualitativeSimilarityValue(){

		return hasQualitativeSimilarityValue;
	}

	protected String getQualitativeSimilarityValue(){

		return qualitativeSimilarityValue;
	}

	protected String getQuantitativeSimilarityValue(){

		return quantitativeSimilarityValue;
	}

	protected String getRuleToString(){

		String rule = "(" + kindDescr1.getKindDescrToString() + " - " + kindDescr2.getKindDescrToString() + ") --> ";


		return hasQualitativeSimilarityValue ? rule + getQualitativeSimilarityValue()+ " (= " + getQuantitativeSimilarityValue() + ")" : rule + getQuantitativeSimilarityValue();
	}
}
