package org.ow2.choreos.schemaRepresentation.xml;

import org.ow2.choreos.schemaRepresentation.KindDescr;


/**
 * 
 * @author dathanas
 *
 */
public class ElementKindDescr extends KindDescr {


	//Variables.
	private boolean isDecl, hasBuiltInType;


	//Constructor.
	ElementKindDescr( String cCategory, String cKind, boolean kindIsDecl, boolean kindIsBuiltIn ){

		super( cCategory, cKind );


		isDecl = kindIsDecl;

		hasBuiltInType = kindIsBuiltIn;


		if( hasBuiltInType && ! isDecl) throw new RuntimeException( getKindDescrToString() + " : It has built-in type without being declaration." );
	}


	//Getters.
	protected boolean isDecl(){

		return isDecl;
	}

	protected boolean hasBuiltInType(){

		return hasBuiltInType;
	}

	public String getKindDescrToString(){

		return "category = " + getCategory() + ", kind = " + getKind() + ", decl = " + isDecl + ", builtIn = " + hasBuiltInType;
	}

	protected static String getElementKindDescrToString( String category, String kind, boolean decl, boolean builtIn ){

		return category + "," + kind + "," + decl + "," + builtIn;
	}
}
