package org.ow2.choreos.schemaRepresentation.xml;

import org.ow2.choreos.gui.PrintMessages;
import org.ow2.choreos.schemaRepresentation.Rule;


/**
 * 
 * @author dathanas
 *
 */
class RuleForSimilarElementKinds extends Rule {


	//Constructors.
	RuleForSimilarElementKinds( String category, String elementKind1, boolean elementKindIsDecl1, boolean elementKindHasBuiltInType1, String elementKind2, boolean elementKindIsDecl2, boolean elementKindHasBuiltInType2, String cQuantitativeSimilarityValue ){

		super( cQuantitativeSimilarityValue );

		initVariables( category, elementKind1, elementKindIsDecl1, elementKindHasBuiltInType1, elementKind2, elementKindIsDecl2, elementKindHasBuiltInType2 );
	}

	RuleForSimilarElementKinds( String category, String elementKind1, boolean elementKindIsDecl1, boolean elementKindHasBuiltInType1, String elementKind2, boolean elementKindIsDecl2, boolean elementKindHasBuiltInType2, String cQualitativeSimilarityValue, String cQuantitativeSimilarityValue ){

		super( cQuantitativeSimilarityValue, cQualitativeSimilarityValue );


		initVariables( category, elementKind1, elementKindIsDecl1, elementKindHasBuiltInType1, elementKind2, elementKindIsDecl2, elementKindHasBuiltInType2 );
	}

	private void initVariables( String category, String elementKind1, boolean elementKindIsDecl1, boolean elementKindHasBuiltInType1, String elementKind2, boolean secondElementKindIsDecl, boolean secondElementKindIsBuiltIn ){

		kindDescr1 = new ElementKindDescr( category, elementKind1, elementKindIsDecl1, elementKindHasBuiltInType1 );

		kindDescr2 = new ElementKindDescr( category, elementKind2, secondElementKindIsDecl, secondElementKindIsBuiltIn );


		PrintMessages.stdPrintLn( PrintMessages.schemaRegistrationPrint, getRuleToString() );
	}
}
