package org.ow2.choreos.schemaRepresentation.xml.completelyStructured.component.group;

import java.util.List;
import java.util.Map;

import org.ow2.choreos.parser.functionalDocuments.objectConstraintsManipulation.ObjectConstraintsManipulation;


/**
 * 
 * @author dathanas
 *
 */
abstract class GroupDefinition extends Group {


	//Variables.
	private static final long serialVersionUID = 5518019249582348646L;


	//Constructor.
	GroupDefinition( List<Map<String, String>> path, boolean isGlobal ){

		super( path, isGlobal );

		checkConstraint();
	}


	//Constraint checkers.
	private String checkConstraint(){

		return isAnonymous() ? ObjectConstraintsManipulation.setErrorAttribute( this, "name", "Group definition without value in the 'name' attribute" ) : null;
	}
}
