package org.ow2.choreos.schemaRepresentation.xml.completelyStructured.structure.restrictionFacet;

import java.util.List;
import java.util.Map;

import org.ow2.choreos.dataStructures.map.mapManipulation.MapGetter;
import org.ow2.choreos.parser.functionalDocuments.objectConstraintsManipulation.ObjectConstraintsManipulation;


/**
 * 
 * @author dathanas
 *
 */
class NonFixedFacet extends RestrictionFacet {


	//Variables.
	private static final long serialVersionUID = -1152551653944542625L;

	private String value;


	//Constructor.
	protected NonFixedFacet( List<Map<String, String>> path ){

		super( path );


		String cValue = (String) MapGetter.getValueByStringKey( "value", getTagAttributes() );

		if( checkConstraint( cValue ) == null ) value = cValue;
	}


	//Constraint checkers.
	private String checkConstraint( String cValue ){

		return cValue == null || ( cValue != null && cValue.isEmpty() ) ? ObjectConstraintsManipulation.setEmptyAttribute( this, "value" ) : null;
	}


	//Getters.
	protected String getValue(){

		return value;
	}
}
