
package org.ow2.choreos.abstractionGenerator.abstractionImpl.airplane.Classes;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the Classes package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _RejectProposalResponse_QNAME = new QName("http://airplane/", "rejectProposalResponse");
    private final static QName _AcceptProposalResponse_QNAME = new QName("http://airplane/", "acceptProposalResponse");
    private final static QName _AcceptProposal_QNAME = new QName("http://airplane/", "acceptProposal");
    private final static QName _ProposeReroute_QNAME = new QName("http://airplane/", "proposeReroute");
    private final static QName _ProposeRerouteResponse_QNAME = new QName("http://airplane/", "proposeRerouteResponse");
    private final static QName _RejectProposal_QNAME = new QName("http://airplane/", "rejectProposal");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: Classes
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link AcceptProposal }
     * 
     */
    public AcceptProposal createAcceptProposal() {
        return new AcceptProposal();
    }

    /**
     * Create an instance of {@link ProposeReroute }
     * 
     */
    public ProposeReroute createProposeReroute() {
        return new ProposeReroute();
    }

    /**
     * Create an instance of {@link RejectProposalResponse }
     * 
     */
    public RejectProposalResponse createRejectProposalResponse() {
        return new RejectProposalResponse();
    }

    /**
     * Create an instance of {@link RerouteWarning }
     * 
     */
    public RerouteWarning createRerouteWarning() {
        return new RerouteWarning();
    }

    /**
     * Create an instance of {@link ProposeRerouteResponse }
     * 
     */
    public ProposeRerouteResponse createProposeRerouteResponse() {
        return new ProposeRerouteResponse();
    }

    /**
     * Create an instance of {@link RejectProposal }
     * 
     */
    public RejectProposal createRejectProposal() {
        return new RejectProposal();
    }

    /**
     * Create an instance of {@link AcceptProposalResponse }
     * 
     */
    public AcceptProposalResponse createAcceptProposalResponse() {
        return new AcceptProposalResponse();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RejectProposalResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://airplane/", name = "rejectProposalResponse")
    public JAXBElement<RejectProposalResponse> createRejectProposalResponse(RejectProposalResponse value) {
        return new JAXBElement<RejectProposalResponse>(_RejectProposalResponse_QNAME, RejectProposalResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AcceptProposalResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://airplane/", name = "acceptProposalResponse")
    public JAXBElement<AcceptProposalResponse> createAcceptProposalResponse(AcceptProposalResponse value) {
        return new JAXBElement<AcceptProposalResponse>(_AcceptProposalResponse_QNAME, AcceptProposalResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AcceptProposal }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://airplane/", name = "acceptProposal")
    public JAXBElement<AcceptProposal> createAcceptProposal(AcceptProposal value) {
        return new JAXBElement<AcceptProposal>(_AcceptProposal_QNAME, AcceptProposal.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ProposeReroute }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://airplane/", name = "proposeReroute")
    public JAXBElement<ProposeReroute> createProposeReroute(ProposeReroute value) {
        return new JAXBElement<ProposeReroute>(_ProposeReroute_QNAME, ProposeReroute.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ProposeRerouteResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://airplane/", name = "proposeRerouteResponse")
    public JAXBElement<ProposeRerouteResponse> createProposeRerouteResponse(ProposeRerouteResponse value) {
        return new JAXBElement<ProposeRerouteResponse>(_ProposeRerouteResponse_QNAME, ProposeRerouteResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RejectProposal }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://airplane/", name = "rejectProposal")
    public JAXBElement<RejectProposal> createRejectProposal(RejectProposal value) {
        return new JAXBElement<RejectProposal>(_RejectProposal_QNAME, RejectProposal.class, null, value);
    }

}
