package airportsisplays;


import interfaces.IPushUpToDateInformation;
import interfaces.SensorsValueGettersIHM;

import java.util.ArrayList;
import java.util.List;

import javax.jws.WebParam;
import javax.jws.WebService;



/**
 * 
 * @author T0132577
 * 
 */
@WebService
public class AirportDisplaysActuatorsAggregator implements SensorsValueGettersIHM, IPushUpToDateInformation {
	/**
	 * 
	 */
	private String actuatorId;
	/**
	 * 
	 */
	private String information1 = "Welcome to CHOReOS airport !";
	private String information2 = "Thank you kindly pick up your luggage in the luggage area following the signs";
	private String information3 = "Feel free to take a tour at the duty-free area in front of the entrance";
	private String information4 = "The exit is located in front of the duty-free area";
	private String information5 = "Thanks for traveling with us and enjoy your trip !";
	/**
	 * 
	 */
	private List<String> information;
	
	/**
	 * 
	 * @see org.ow2.choreos.thalesgroup.wp6.scn2.services.interfaces.
	 *      PushUpToDateInformation#PushUpInfo(java.lang.String)
	 */
	public List<String> getInformation(String info) {
		ArrayList<String> displayInfo = new ArrayList<String>();
		displayInfo.add("Welcome to CHOReOS airport !");
		displayInfo.add("Thank you kindly pick up your luggage in the luggage area following the signs");
		
		return information;
	}

	@Override
	public int pushUpInfo(@WebParam(name = "info") String info)
	{
		
		System.out.println("Airport Displays Actuators info pushed: " + info);
		System.out.println("Incoming information from siafu: " + info);
		return 0;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.ow2.choreos.thalesgroup.wp6.scn2.services.ihminterfaces.
	 * SensorsValueGettersIHM#getAverageMeasure(java.lang.String)
	 */
	@Override
	public int getAverageMeasure(@WebParam(name = "area") String area)
	{
		System.out.println("Area: "+area);
		return 1000;

	}
}
