package org.ow2.choreos.abstractionDrivenServiceOrganization.nonFunctionalOrganization;

import java.util.List;

import org.ow2.choreos.abstractionBase.AbstractionBaseController;
import org.ow2.choreos.abstractionDrivenServiceOrganization.nonFunctionalOrganization.partitionalClustering.kMeans.NonFunctionalOrganizationKmeans;
import org.ow2.choreos.gui.UserSettings;
import org.ow2.choreos.gui.ServiceOrganizationVisualizer;
import org.ow2.choreos.serviceRegistration.ServiceRegistration;
import org.ow2.choreos.serviceRepresentation.functional.ServiceInterface;


/**
 * 
 * @author dathanas
 *
 */
public class NonFunctionalOrganization {


	//Methods.
	public static Integer produceNFH1( ServiceRegistration serviceRegistration, AbstractionBaseController abstractionBase, UserSettings options, Integer functionalAbstractionID, List<ServiceInterface> interfaces, ServiceOrganizationVisualizer serviceOrganizationVisualizer ){//Mode = 1.

		if( NonFunctionalOrganizationController.isKmeans( options.getNonFunctionalOrganizationAlgorithm() ) ) NonFunctionalOrganizationKmeans.produceNFH1( serviceRegistration, abstractionBase, options, functionalAbstractionID, interfaces, serviceOrganizationVisualizer );


		return -1;
	}

	public static void produceNFH2( ServiceRegistration serviceRegistration, AbstractionBaseController abstractionBase, UserSettings options, List<ServiceInterface> allInterfaces, ServiceOrganizationVisualizer serviceOrganizationVisualizer ){//Mode = 2.

		if( NonFunctionalOrganizationController.isKmeans( options.getNonFunctionalOrganizationAlgorithm() ) ) NonFunctionalOrganizationKmeans.produceNFH2( serviceRegistration, abstractionBase, options, allInterfaces, serviceOrganizationVisualizer );
	}

	public static void produceNFH3( ServiceRegistration serviceRegistration, AbstractionBaseController abstractionBase, UserSettings options, List<ServiceInterface> interfaces, ServiceOrganizationVisualizer serviceOrganizationVisualizer ){//Mode = 3.

		if( NonFunctionalOrganizationController.isKmeans( options.getNonFunctionalOrganizationAlgorithm() ) ) NonFunctionalOrganizationKmeans.produceNFH3( serviceRegistration, abstractionBase, options, interfaces, serviceOrganizationVisualizer );
	}


	//public void updateNFH();

	/*
	 * public Integer produceNFH( Boolean stepByStepExecution, Integer collectionID, Integer functionalAbstractionID, ArrayList<ServiceInterface> interfaces, ServiceOrganizationVisualizer guiForHierarchyProduce );mode = 1
	public void produceNFH( Boolean stepByStepExecution, Integer collectionID, ArrayList<ServiceInterface> interfaces, ServiceOrganizationVisualizer guiForHierarchyProduce );
	public void produceNFH( Boolean stepByStepExecution, ArrayList<ServiceInterface> allInterfaces, Integer collectionID, FunctionalOrganization functionalOrganization, ServiceOrganizationVisualizer guiForHierarchyProduce );
	public void updateNFH();
	 */
}
