package org.ow2.choreos.dataStructures.array.arrayManipulation;



public class ArraySorting {


	public static void sortIntegers( int[] array ) {

		if( array == null ) return;


		int min, max = min = array[ 0 ];


		for( int i = 1; i < array.length; i++ ){

			if( array[i] < min ) min = array[ i ];

			if( array[i] > max ) max = array[ i ];
		}


		sortIntegers( array, min, max );
	}


	private static void sortIntegers( int[] array, int min, int max ) {

	   int[] countIntegers = new int[ max - min + 1 ];


	   for( int i = 0; i < array.length; i++ ) countIntegers[ array[ i ] - min ]++;



	   int insertPosition = 0;

	   for( int i = min; i <= max; i++ ) for( int j = 0; j < countIntegers[ i - min ]; j++ ) array[ insertPosition++ ] = i;
	 }
}
