package org.ow2.choreos.dataStructures.list.listPrinting;

import java.util.Enumeration;
import java.util.Hashtable;
import java.util.List;
import java.util.Map;

import org.ow2.choreos.gui.PrintMessages;
import org.ow2.choreos.schemaRepresentation.xml.XMLSchemaRepresentationController;


/**
 * 
 * @author dathanas
 *
 */
public class ListPrinting {


	public static void stdPrint( String printKind, List<Object> objects, String listName ){
	
		String[] printKinds = null;
	
		if( printKind != null ){
	
			String[] tmpPrintKinds = { printKind };
	
			printKinds = tmpPrintKinds;
	
	
			ListPrinting.stdPrint( printKinds, objects, listName );
		}
	}

	public static void stdPrint( String[] printKinds, List<Object> objects, String listName ){
	
		if( objects != null ){
	
			if( PrintMessages.print( printKinds ) ){
	
				PrintMessages.stdPrint( printKinds , "\n\nlist: " + listName );
	
				for( int i = 0; i < objects.size(); ++i ) PrintMessages.stdPrint( printKinds , XMLSchemaRepresentationController.getTag( objects.get( i ) ) );
			}
		}
	
		else PrintMessages.stdPrint( printKinds , "list: " + listName + " is Empty" );
	}

	public static String print( List<Map<String, String>> listOfMaps ){
	
		String msg = "[";
	
		for( int i = 0; listOfMaps != null && i < listOfMaps.size(); ++i ){
	
			int j = 0;
	
			for( Enumeration<String> e = ( (Hashtable<String, String>) listOfMaps.get( i ) ).keys(); e.hasMoreElements(); ){
	
				String key = e.nextElement();
	
				msg += listOfMaps.get( i ).get( key );
	
				if( j < listOfMaps.get( i ).size() - 1 ) msg += ", ";
	
				j++;
			}
		}
	
		return msg += "]";
	}

	public static void stdPrint( List<Map<String, String>> listOfMaps ){
	
		System.out.println( print( listOfMaps ) );
	}

}
