package org.ow2.choreos.dataStructures.map.mapManipulation;

import java.util.ArrayList;
import java.util.Enumeration;
import java.util.Hashtable;
import java.util.List;
import java.util.Map;
import java.util.Set;


public class MapTransfomation {


	static public List<Object> getList( Map<Object, Object> map){

		List<Object> list = null;

		if( map != null){

			list = new ArrayList<Object>( map.values() );
		}

		return list;
	}

	public static Map<String, String> reverse( Map<String, String> map ){
	
		Set<String> keySet = map.keySet();
	
		Object[] tempArray = keySet.toArray();
	
		int length = tempArray == null ? 0 : tempArray.length;
	
	
		Map<String, String> reversedMap = null;
	
		for( int i = length - 1; i >= 0 ; i-- ){
	
			if( reversedMap == null ) reversedMap = new Hashtable<String, String>();
	
			String key = (String) tempArray[ i ];
	
			reversedMap.put( key, map.get( key ) );
		}
	
	
		return reversedMap;
	}

	public static Map<String, String> toLowerCase( Map<String, String> map ){
	
		if( map != null ){
	
			for ( Enumeration<String> e = ( (Hashtable<String, String>) map ).keys(); e.hasMoreElements(); ){
	
				String key = e.nextElement();
	
				map.put( key.toLowerCase(), map.get( key ) );
			}
		}
	
	
		return map;
	}

	public static Map<String, String> concat( Map<String, String> map1, Map<String, String> map2 ) {
	
		if( map1 == null && map2 != null ) return map2;
	
		if( map1 != null && map2 == null ) return map1;
	
		if( map1 == null && map2 == null ) return null;
	
	
		Map<String, String> map = new Hashtable<String ,String>();
	
		for( Enumeration<String> e = ( (Hashtable<String, String>) map1).keys(); e.hasMoreElements(); ){
			
			String key = e.nextElement();
	
			map.put( key, map1.get( key ) );  
		}
	
		for( Enumeration<String> e = ( (Hashtable<String, String>) map2).keys(); e.hasMoreElements(); ){
			
			String key = e.nextElement();
	
			map.put( key, map2.get( key ) );  
		}
	
		return map;
	}

	public static Map<String, String> concat( Map<String, String> map1, Map<String, String> map2, Map<String, String> map3, Map<String, String> map4 ) {

		if( map1 == null || map2 == null || map3 == null || map4 == null ) return null;


		Map<String, String> map12 = MapTransfomation.concat( map1, map2 );

		Map<String, String> map34 = MapTransfomation.concat( map3, map4 );

		return MapTransfomation.concat( map12, map34 );
	}
}
