package org.ow2.choreos.matchingProcess.schemaRepresentation.schemaMatching;

import java.util.Map;

import org.ow2.choreos.matchingProcess.Matching;


/**
 * 
 * @author dathanas
 *
 */
public abstract class SchemaMatching extends Matching {


	//Variables.
	private Map<Object, Object> schemaProjections;//The first Object is the 'ref2DocOfSchemas' and the second is a 'PatternInstantiation' Object. This map is the field of the paper, Sx.

	private Map<Object, Object> correspondences;//The first external object is a Map<Object, Object>, where the first internal object is the 'ref2DocOfSchemas' of the first schema and the second internal object is the 'ref2DocOfSchemas' of the second schema of a pair of successive schemas.
												//The second external object is another Map<Object, Object>, where the first internal object is another Map<Object, Object>.
												//The latter map has as first object the first element of the correspondence and as second the second element.
												//The second object of the second Map is the confidence value of the correspondence.
												//Overall: Map< Map<Object, Object>, Map< Map<Object, Object>, Object > >.

	private Map<Object, Object> allCorrespondences;//It has the structure with the previous one and is freed in the end of the matching construction.


	//Getters.
	protected int getFrequency(){

		return schemaProjections != null ? schemaProjections.size() : 0;
	}
}
