package org.ow2.choreos.queryEngineFacade;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;

import javax.swing.*;

public class MySQLTransaction {
	
	public static ResultSet executeQuery(String dBase, String sqlQuery) throws QueryEngineFacadeException{
		
		if(dBase == null){
			throw(new QueryEngineFacadeException("MySQL transaction error: no database specified"));
		}
		
		if (dBase.equals(""))
    		dBase = "localhost/default";
		
		Connection con = null;
        Statement st = null;
        ResultSet rs = null;

        try {
        	Class.forName("com.mysql.jdbc.Driver").newInstance();
        
        } catch (InstantiationException e) {
        	throw(new QueryEngineFacadeException("MySQL transaction error: " + e.getMessage()));
        } catch(IllegalAccessException e) {
        	throw(new QueryEngineFacadeException("MySQL transaction error: " + e.getMessage()));
        } catch(ClassNotFoundException e) {
        	throw(new QueryEngineFacadeException("MySQL transaction error: " + e.getMessage()));
        }
        
        String url = "jdbc:mysql://" + dBase;
        String user = "root";
        String password = "root";

        try {
            con = DriverManager.getConnection(url, user, password);
            st = con.createStatement();
            rs = st.executeQuery(sqlQuery);
           
        } catch (SQLException e) {
        	throw(new QueryEngineFacadeException("MySQL transaction error: " + e.getMessage()));
        } 
        
        return rs;
	}	
}

