package org.ow2.choreos.schemaRepresentation.xml.completelyStructured.component.group;

import java.util.List;
import java.util.Map;

import org.ow2.choreos.schemaRepresentation.SchemaRepresentationController;
import org.ow2.choreos.schemaRepresentation.xml.Component;
import org.ow2.choreos.schemaRepresentation.xml.XMLSchemaRepresentationController;


/**
 * 
 * @author dathanas
 *
 */
abstract class Group extends Component {


	//Variables.
	private static final long serialVersionUID = -44811567609890986L;


	//Constructor.
	protected Group( List<Map<String, String>> path, boolean isGlobal  ){

		super( path, isGlobal );
	}


	//Getters.
	public String getSchemaRepresentationModel(){

		return XMLSchemaRepresentationController.getXMLSchemaCompletelyStructuredRepresentationModel();
	}

	public String getSchemaKind(){

		return SchemaRepresentationController.getSchemaKind();
	}
}
