package org.ow2.choreos.schemaRepresentation.xml.completelyStructured.component.group;

import java.util.List;
import java.util.Map;

import org.ow2.choreos.parser.functionalDocuments.objectConstraintsManipulation.ObjectConstraintsManipulation;
import org.ow2.choreos.schemaRepresentation.xml.ReferencedComponent;


/**
 * 
 * @author dathanas
 *
 */
abstract class GroupDeclaration extends Group {


	//Variables.
	private static final long serialVersionUID = 4124540699274043085L;


	//Constructor.
	GroupDeclaration( List<Map<String, String>> path, String referencedComponent, String typeKind, boolean isGlobal ){

		super( path, isGlobal );


		setReferencedComponent( new ReferencedComponent( referencedComponent, typeKind ) );


		checkConstraint();
	}


	//Constraint checkers.
	private String checkConstraint(){

		return ! isAnonymous() ? ObjectConstraintsManipulation.setErrorAttribute( this, "name", "Reference with value in the 'name' attribute" ) : null;
	}
}
