package org.ow2.choreos.schemaRepresentation.xml.completelyStructured.structure.complexType.specialization;

import java.util.List;
import java.util.Map;

import org.ow2.choreos.parser.functionalDocuments.objectConstraintsManipulation.ObjectConstraintsManipulation;
import org.ow2.choreos.schemaRepresentation.xml.Annotation;
import org.ow2.choreos.schemaRepresentation.xml.Component;
import org.ow2.choreos.schemaRepresentation.xml.XMLSchemaRepresentationController;
import org.ow2.choreos.schemaRepresentation.xml.completelyStructured.component.attribute.AttributeController;
import org.ow2.choreos.schemaRepresentation.xml.completelyStructured.component.group.GroupController;


/**
 * 
 * @author dathanas
 *
 */
class Extension extends SimpleContentSpecializationKind {


	//Variables.
	private static final long serialVersionUID = 2875351917263277989L;


	//Constructor.
	protected Extension( List<Map<String, String>> path ){

		super( path );
	}


	//Setters.
	public Object add( Object object ){

		if( ObjectConstraintsManipulation.setContainmentError( this, object ) == null ){

			if( ( AttributeController.isAttributeKind( object ) && checkConstraint3( object ) == null ) || GroupController.isAttributeGroupKind( object ) ) addComponent( (Component) object );

			else if( XMLSchemaRepresentationController.isAnnotationKind( object ) && checkConstraint4( object ) == null ) setAnnotation( (Annotation) object );

			else ObjectConstraintsManipulation.setConnectionError ( this, object, "Valid content:\n1. For components, the attributes: " + AttributeController.getFlatAttributeKinds() + " and the attribute groups: " + GroupController.getFlatAttributeGroupKinds() + "\n2. Annotation" );
		}


		return this;
	}
}
