package org.ow2.choreos.schemaRepresentation.xml.completelyStructured.structure.restrictionFacet;

import java.util.List;
import java.util.Map;

import org.ow2.choreos.dataStructures.map.mapManipulation.MapGetter;


/**
 * 
 * @author dathanas
 *
 */
abstract class FixedFacet extends RestrictionFacet {


	//Variables.
	private static final long serialVersionUID = 8748981889316089043L;

	private boolean fixed;


	//Constructor.
	protected FixedFacet( List<Map<String, String>> path ){

		super( path );


		String cFixed = (String) MapGetter.getValueByStringKey( "fixed", getTagAttributes() );

		fixed = Boolean.parseBoolean( cFixed );
	}


	//Getters.
	protected boolean isFixed(){

		return fixed;
	}
}
