package org.ow2.choreos.schemaRepresentation.xml.completelyStructured.structure.restrictionFacet;

import java.util.List;
import java.util.Map;

import org.ow2.choreos.parser.functionalDocuments.objectConstraintsManipulation.ObjectConstraintsManipulation;


/**
 * 
 * @author dathanas
 *
 */
class NonNegativeValueFixedFacet extends IntegerValueFixedFacet {


	//Variables.
	private static final long serialVersionUID = 4718737145614892978L;


	//Constructor.
	protected NonNegativeValueFixedFacet( List<Map<String, String>> path ){

		super( path );


		checkConstraint();//Attention: the 'value' has already been set through the constructor, however, here, it is checked the constraint for the positive value.
	}


	//Constraint checkers.
	private String checkConstraint(){

		return getValue() < 0 ? ObjectConstraintsManipulation.setErrorAttribute( this, "value", "The value should not be a negative integer" ) : null;
	}
}
