package org.ow2.choreos.schemaRepresentation.xml.completelyUnstructured.component;

import java.util.List;
import java.util.Map;

import org.ow2.choreos.schemaRepresentation.xml.XMLSchemaRepresentationController;
import org.ow2.choreos.schemaRepresentation.xml.completelyUnstructured.component.dataType.DataTypeController;
import org.ow2.choreos.unknownClasses.UnknownClassesController;


/**
 * 
 * @author dathanas
 *
 */
public class ComponentController {


	//Verifiers.
	public static boolean isComponentKind( String objectKind ){

		return DataTypeController.isDataTypeKind( objectKind );
	}

	public static boolean isComponentKind( Object object ){

		return DataTypeController.isDataTypeKind( object );
	}


	//Getters.
	public static Object getObject( String[] sourceObjectKinds, List<Map<String, String>> path, String sourceSchemaRepresentationModel, String targetObjectKind, boolean isGlobal ){

		if( isComponentKind( targetObjectKind ) ) return DataTypeController.getObject( path, sourceObjectKinds, sourceSchemaRepresentationModel, targetObjectKind, isGlobal );


		String[] targetObjectKinds = null;

		if( targetObjectKind != null ){

			String[] tmpTargetObjectKinds = { targetObjectKind };

			targetObjectKinds = tmpTargetObjectKinds;
		}


		return UnknownClassesController.getUnknownObject( sourceObjectKinds, sourceSchemaRepresentationModel, targetObjectKinds, XMLSchemaRepresentationController.getXMLSchemaCompletelyStructuredRepresentationModel() );
	}
}
