package org.ow2.choreos.abstractionGenerator.abstractionImpl.airportbuscompany;
import org.ow2.choreos.abstractionGenerator.InputOutputDataTranslator;
import javax.jws.WebMethod;
import org.ow2.choreos.abstractionGenerator.Serialiazer;
import javax.jws.WebService;
import org.ow2.choreos.serviceRepresentation.functional.ServiceInterface;
import org.ow2.choreos.abstractionGenerator.BaseAbstractionImplService;
import org.ow2.choreos.abstractionGenerator.MappingsManipulation;
import org.ow2.choreos.abstractionGenerator.ClassCreation;
@WebService()
 public class AirportBusCompanyImpl extends BaseAbstractionImplService implements AirportBusCompanyInterface {
	public AirportBusCompanyImpl () 
	{
		super("AirportBusCompany");
	}

	public BookResponseOut book ( BookIn input )
	{

		BookResponseOut result = new BookResponseOut();

		LoadVariables();

		ServiceInterface abstractionServiceInterface = interfaceMapping.getServiceInterface(abstractionName);

		Object output = invokeConcreteService(input,"book", abstractionServiceInterface);

		setOutPut (output, abstractionServiceInterface, "book" , result);

		return result;

	}

	public WarnUnexpectedArrivalResponseOut warnUnexpectedArrival ( WarnUnexpectedArrivalIn input )
	{

		WarnUnexpectedArrivalResponseOut result = new WarnUnexpectedArrivalResponseOut();

		LoadVariables();

		ServiceInterface abstractionServiceInterface = interfaceMapping.getServiceInterface(abstractionName);

		Object output = invokeConcreteService(input,"warnUnexpectedArrival", abstractionServiceInterface);

		setOutPut (output, abstractionServiceInterface, "warnUnexpectedArrival" , result);

		return result;

	}

}