
package org.ow2.choreos.abstractionGenerator.abstractionImpl.securitycompany.securitycompany;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the securitycompany package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _BookResponse_QNAME = new QName("http://securityCompany/", "bookResponse");
    private final static QName _WarnUnexpectedArrivalResponse_QNAME = new QName("http://securityCompany/", "warnUnexpectedArrivalResponse");
    private final static QName _Book_QNAME = new QName("http://securityCompany/", "book");
    private final static QName _WarnUnexpectedArrival_QNAME = new QName("http://securityCompany/", "warnUnexpectedArrival");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: securitycompany
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link RerouteWarning }
     * 
     */
    public RerouteWarning createRerouteWarning() {
        return new RerouteWarning();
    }

    /**
     * Create an instance of {@link WarnUnexpectedArrival }
     * 
     */
    public WarnUnexpectedArrival createWarnUnexpectedArrival() {
        return new WarnUnexpectedArrival();
    }

    /**
     * Create an instance of {@link Book }
     * 
     */
    public Book createBook() {
        return new Book();
    }

    /**
     * Create an instance of {@link BookResponse }
     * 
     */
    public BookResponse createBookResponse() {
        return new BookResponse();
    }

    /**
     * Create an instance of {@link BookingOrder }
     * 
     */
    public BookingOrder createBookingOrder() {
        return new BookingOrder();
    }

    /**
     * Create an instance of {@link Amenity }
     * 
     */
    public Amenity createAmenity() {
        return new Amenity();
    }

    /**
     * Create an instance of {@link WarnUnexpectedArrivalResponse }
     * 
     */
    public WarnUnexpectedArrivalResponse createWarnUnexpectedArrivalResponse() {
        return new WarnUnexpectedArrivalResponse();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BookResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://securityCompany/", name = "bookResponse")
    public JAXBElement<BookResponse> createBookResponse(BookResponse value) {
        return new JAXBElement<BookResponse>(_BookResponse_QNAME, BookResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link WarnUnexpectedArrivalResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://securityCompany/", name = "warnUnexpectedArrivalResponse")
    public JAXBElement<WarnUnexpectedArrivalResponse> createWarnUnexpectedArrivalResponse(WarnUnexpectedArrivalResponse value) {
        return new JAXBElement<WarnUnexpectedArrivalResponse>(_WarnUnexpectedArrivalResponse_QNAME, WarnUnexpectedArrivalResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Book }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://securityCompany/", name = "book")
    public JAXBElement<Book> createBook(Book value) {
        return new JAXBElement<Book>(_Book_QNAME, Book.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link WarnUnexpectedArrival }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://securityCompany/", name = "warnUnexpectedArrival")
    public JAXBElement<WarnUnexpectedArrival> createWarnUnexpectedArrival(WarnUnexpectedArrival value) {
        return new JAXBElement<WarnUnexpectedArrival>(_WarnUnexpectedArrival_QNAME, WarnUnexpectedArrival.class, null, value);
    }

}
