package airbusCompany;



import interfaces.IBookAmenity;
import interfaces.IWarnUnexpectedArrival;

import java.util.ArrayList;
import java.util.List;

import javax.jws.WebParam;
import javax.jws.WebService;

import Data.BookingOrder;
import Data.RerouteWarning;


/**
 * 
 * @author T0132577
 * 
 */
@WebService
public class AirportBusCompany implements IBookAmenity, IWarnUnexpectedArrival {
	/**
	 * Amenity type provided.
	 */
	private String type;
	/**
	 * The provider name.
	 */
	private String name;
	/**
	 * Amenities provided.
	 */

	/**
	 * Constructor.
	 * 
	 * @param name
	 *            the bus company name
	 */
	public AirportBusCompany(String name) {
		this.name = name;
		
	}

	
	
	
	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * org.ow2.choreos.thalesgroup.wp6.services.BookableAmenity#book(org.ow2
	 * .choreos.thalesgroup.wp6.messagesTypes.BookingOrder)
	 */
	@Override
	public int book(String bus,@WebParam(name = "order") BookingOrder order){

		int id = order.getId();

		return id;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.ow2.choreos.thalesgroup.wp6.scn2.services.interfaces.
	 * IWarnUnexpectedArrival#warnUnexpectedArrival()
	 */
	@Override
	public boolean warnUnexpectedArrival(String bus,@WebParam(name = "reroute") RerouteWarning reroute) {
		System.out.println("Airport Bus Company: Preparation de "
				+ ((reroute.nbrpassengers / 100) + 1) + " bus pour les "
				+ reroute.nbrpassengers + " passagers");
		return false;

	}


}
