import org.ow2.choreos.executable_service_discovery.AoSBM.PluginManagerCallback;
import org.ow2.choreos.executable_service_discovery.plugin_manager.CommonServiceDescription;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 *
 * @author lekkas
 */
public class MockAoSBM implements PluginManagerCallback {
    
    private Logger logger;
    
    public MockAoSBM() {
        logger = LoggerFactory.getLogger(MockAoSBM.class);
    }

    public void register(CommonServiceDescription service_description, String registryURI) {
        logger.info("register() called: registry: "+registryURI);
    }

    public void unregisterByServiceURI(String serviceURI, String registryURI) {
        logger.info("unregister() called: registry: "+registryURI);
    }
    
}
