/**
 * @author Kostas Lekkas -- lekkas@vtrip.net
 */
package org.ow2.choreos.executable_service_discovery.DummyActiveRegistry;

public class RegistryEntry {
    private String filename;
    private String md5hash;
    private String wsdl;
    
    public RegistryEntry(String filename, String md5hash) {
        this.filename = filename;
        this.md5hash = md5hash;
    }
    
    public RegistryEntry(String filename, String md5hash, String wsdl) {
        this.filename = filename;
        this.md5hash = md5hash;
        this.wsdl = wsdl;
    }
    
    public void setMD5Hash(String md5hash) {
        this.md5hash = md5hash;
    }
    public String getMD5Hash() {
        return md5hash;
    }
    public void setFilename(String filename) {
        this.filename = filename;
    }
    public String getFilename() {
        return filename;
    }
    public void setWsdl(String wsdl) {
        this.wsdl = wsdl;
    }
    public String getWsdl() {
        return wsdl;
    }
    
}
