package org.ow2.choreos.registry;

import java.io.IOException;
import java.io.PrintWriter;
import java.util.HashMap;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.json.simple.JSONObject;

/**
 * Servlet implementation class GetNodes
 */
public class GetDistributionServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

	/**
	 * @see HttpServlet#HttpServlet()
	 */
	public GetDistributionServlet() {
		super();
	}

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse
	 *      response)
	 */
	protected void doGet(HttpServletRequest request,
			HttpServletResponse response) throws ServletException, IOException {
		PrintWriter pr = response.getWriter();
		response.setContentType("application/json"); 

	String globalRegion = request.getParameter("global_region");

  
		if ( (globalRegion == null)
				) 
		{
			response.sendError(500);
			return;
		}
		try {

		//	int deviceId = Integer.parseInt(deviceIdString);
		HashMap<String, String > result = RegistryMap.getDistribution(
				globalRegion);
			if (result != null) {

				JSONObject obj = new JSONObject();
				obj.put("value", result);

				System.out.println(obj);
				obj.writeJSONString(pr);
			}

			else
				response.sendError(400);

		} catch (Exception e) {
			response.sendError(500);
		}
	}



}
