package fr.inria.arles.choreos.iots.common;

import java.util.Hashtable;
import java.util.Map;


public class Location {
	static Map<String,Double> locationAndAreaMap = new Hashtable<String,Double>();
	static{
		locationAndAreaMap.put("Paris", 1771500.0);
		locationAndAreaMap.put("Louvre", 60.6);
	}
	double myArea ;
	String myName;
	double xCoordinate;
	double yCoordinate;
long myTime;
public Location(String name){
	myName = name;
	}

public Location(String name, double xCoord, double yCoord){
	myName = name;
	xCoordinate = xCoord;
	yCoordinate = yCoord;
	}

public Location(String name, double area){
	myName = name;
	myArea = area;
}


	public Location(double x , double y , long totalDispTime){
		xCoordinate = x;
		yCoordinate = y;
		myTime = totalDispTime;
	}

	

	public long getTime(){
		return myTime;
	}
	
public double getArea(){
	//TODO get AREA from ontology
myArea=	locationAndAreaMap.get(myName);
	return myArea;
}

public void setArea(double value){
	myArea = value;
}

public String getLocationName(){
	return myName;
}

public Double getXCoordinate(){
	return xCoordinate;
}

public Double getYCoordinate(){
	return yCoordinate;
}

public void setXYCoordinates(double x , double y){
	xCoordinate = x;
	yCoordinate = y;
}

}
